<?php
/**
 * コントローラファイル作成コンポーネントクラス
 *
 * @package   SyL
 * @author    k.watanabe <k.watanabe@syl.jp>
 * @copyright 2006 k.watanabe
 * @license   http://www.opensource.org/licenses/lgpl-license.php
 * @version   CVS: $Id: C_CreateController.php,v 1.3 2006/12/23 11:14:31 seasonstream Exp $
 * @link      http://www.syl.jp/
 */
class C_CreateController
{
    /**
     * コントローラファイル作成
     *
     * @access public
     * @param string プロジェクトディレクトリ
     * @param string アプリケーション名
     * @param string コントローラファイル
     */
    function trigger($project_dir, $app_name, $controller_file)
    {
        if (preg_match('/(\\\\|\/)$/', $project_dir)) {
            $project_dir = substr($project_dir, 0, -1);
        }

        $controller_template = SYL_WEBAPP_DIR . '/var/skel-templates/controller.php';
        $contents = file_get_contents($controller_template);

        $contents = str_replace('{SYL_DIR}',    SYL_DIR,      $contents);
        $contents = str_replace('{WEBAPP_DIR}', $project_dir, $contents);
        $contents = str_replace('{APP_NAME}',   $app_name,    $contents);

        echo "  creating file {$controller_file}\n"; ob_flush();
        $fp = fopen($controller_file, 'wb');
        fwrite($fp, $contents);
        fclose($fp);
    }
}

?>
